gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Encapsulates an adjustable bounded value.

The Adjustment object represents a value with an associated and bound, together with a , , and a .

The Adjustment object does not update the value itself. Instead it is left up to the owner of the Adjustment to control the value. The owner of the Adjustment typically calls the and methods after changing the value or its bounds, respectively. This results in the emission of the or events respectively.

An Adjustment is used within several widgets, including , , and (which is a base class for , , , and ).

Gtk.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` `` Sets all the properties of the Adjustment at the same time. The minimum value. The maximum value. The increment to use to make minor changes to the value. The increment to use to make major changes to the value. The page size. In a this is the size of the area that is currently visible.

  When updating the values and properties of an Adjustment, remember to call the and/or methods to ensure the correct events are fired.

- Method
  System.Void Fires the event.

  This method should be called manually after changing properties to notify all listening objects that the Adjustment's has changed.

- Method
  System.Void Fires the event.

  This method should be called manually after changing properties to notify all listening objects that one or more of the Adjustment's bounds have changed.

- Method
  System.Void `` `` Used to inform the Adjustment's view that a new visible range should be displayed. The lower value of the new range. The upper value of the new range.

  This method should be used to set the currently visible range to (, ).?If necessary, the current is changed to ensure that it is visible within the new scope.

  If the specified range is larger than the , then only the start of it will make up the new "current page".

  The event will be fired if the changes as a result of this method. must be called manually if the event should be fired.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Adjustment, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates an Adjustment with the specified value and bounds.
  The initial value.
  The minimum value.
  The maximum value.
  The increment to use to make minor changes to the value.
  The increment to use to make major changes to the value.
  The page size. In a this is the size of the area that is currently visible.
  A new Adjustment
- Property
  System.Double Manage the size of a 'page'. The new page size. The current size of pages in this Adjustment.

  In a this is the size of the area which is currently visible.

- Property
  System.Double Manage the increment used to make major changes to the value. A new value for the PageIncrement The current PageIncrement.

  The usefulness of this value is entirely dependent upon the context in whic hthe Adjustment is used.

- Property
  System.Double Manage the current . A new value for this Adjustment. The current value of this adjustment.

  If you set this property, you should manually call so that all listening objects are notified of the change.

- Event
  System.EventHandler This event is fired when is called.

  This event can be handled to be notified of changes to the Adjustment's value. However, this relies on all objects that change the calling .

- Event
  System.EventHandler This event is fired when is called.

  If the Adjustment's properties change, (such as , etc.), it is up to whichever class changes the values to call to ensure this event is fired.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Virtual method to override the event default handler. Override this method to change the default event handling for the event.
- Method
  System.Void Virtual method for event default handling. Override this method to change the default event handling for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  System.Double Retrieve the lower bound of this Adjustment. a The minimum possible value that is currently allowed.
- Property
  System.Double Retrieve the upper bound of this Adjustment. a The maximum possible value that is currently allowed.
- Property
  System.Double The increment to use to make minor changes to the value. a

  In a this increment is used when the mouse is clicked on the arrows at the top and bottom of the , to scroll by a small amount.

- Constructor
  Default constructor.
  a